incubator-ooo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject svn commit: r1155224 - in /incubator/ooo/trunk/tools/dev: fetch-all-web.sh kenai2website.sh
Date Tue, 09 Aug 2011 06:29:28 GMT
Author: wave
Date: Tue Aug  9 06:29:28 2011
New Revision: 1155224

URL: http://svn.apache.org/viewvc?rev=1155224&view=rev
Log:
The first version of the script to move kenai svn content to the OOo podlings's site. Later
versions will properly separate bady content from the css ans javascript. The correct way
to do this is yet to be decided. The correct licensing and copyright notice to insert is also
undiceded. Final confrimation of conversion to AL 2.0 is required.

Added:
    incubator/ooo/trunk/tools/dev/kenai2website.sh   (with props)
Modified:
    incubator/ooo/trunk/tools/dev/fetch-all-web.sh

Modified: incubator/ooo/trunk/tools/dev/fetch-all-web.sh
URL: http://svn.apache.org/viewvc/incubator/ooo/trunk/tools/dev/fetch-all-web.sh?rev=1155224&r1=1155223&r2=1155224&view=diff
==============================================================================
--- incubator/ooo/trunk/tools/dev/fetch-all-web.sh (original)
+++ incubator/ooo/trunk/tools/dev/fetch-all-web.sh Tue Aug  9 06:29:28 2011
@@ -72,7 +72,6 @@ for webproject in `grep '^./' $weblist` 
     echo "ERROR: '$webproject' exists and is not a directory."
     exit 1
 
-  # filter out empty CWS: hg incoming returns 1 if there's nothing to pull
   else
     echo "============ '$webproject' is being created ..."
     svn co $webrepos $webproject

Added: incubator/ooo/trunk/tools/dev/kenai2website.sh
URL: http://svn.apache.org/viewvc/incubator/ooo/trunk/tools/dev/kenai2website.sh?rev=1155224&view=auto
==============================================================================
--- incubator/ooo/trunk/tools/dev/kenai2website.sh (added)
+++ incubator/ooo/trunk/tools/dev/kenai2website.sh Tue Aug  9 06:29:28 2011
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# Use this script to fetch all a project's webcontent for the projects
+# listed in the specified file (typically, webcontent-list.txt).
+#
+# See https://cwiki.apache.org/confluence/display/OOOUSERS/OOo-Sitemap
+# for a note on the checkout from the Kenai svn repository.
+#
+# USAGE:
+#   $ ./kenai2website.sh WEB-PROJECT SITE-DIR
+#
+#     WEB-LIST is a file containing the list of Projects to fetch
+#       (see the file tools/dev/webcontent-list.txt)
+#     WORK-DIR each project's webcontent will be created in a
+#       subdirectory of WORK-DIR
+#
+#  Future steps will include scripts to transform the content for
+#  the Apache CMS or a Confluence Wiki import
+#
+
+if test "$#" != 1; then
+  echo "USAGE: $0 PROJECT"
+  exit 1
+fi
+
+REPOS='https://svn.openoffice.org/svn/'
+REPOS2='~webcontent'
+
+webproject=$1
+
+cd /tmp
+rm -rf ${webproject}
+
+webrepos=${REPOS}${webproject}${REPOS2}
+
+echo "============ '$webproject' is being exported ..."
+svn export $webrepos $webproject

Propchange: incubator/ooo/trunk/tools/dev/kenai2website.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/ooo/trunk/tools/dev/kenai2website.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message